Show / Hide Table of Contents

# Struct Texture

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Render

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Texture

### Fields

| Improve this Doc View Source

#### D3D11ShaderResourceView

##### Declaration

    public void *D3D11ShaderResourceView

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### D3D11Texture2D

##### Declaration

    public void *D3D11Texture2D

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Depth

##### Declaration

    public uint Depth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Flags

##### Declaration

    public uint Flags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Height

##### Declaration

    public uint Height

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Height2

##### Declaration

    public uint Height2

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MipLevel

##### Declaration

    public byte MipLevel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Notifier

##### Declaration

    public Notifier Notifier

##### Field Value

Type | Description
--- | ---
Notifier |

| Improve this Doc View Source

#### TextureFormat

##### Declaration

    public TextureFormat TextureFormat

##### Field Value

Type | Description
--- | ---
TextureFormat |

| Improve this Doc View Source

#### Unk_35

##### Declaration

    public byte Unk_35

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_36

##### Declaration

    public byte Unk_36

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_37

##### Declaration

    public byte Unk_37

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### Width

##### Declaration

    public uint Width

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Width2

##### Declaration

    public uint Width2

##### Field Value

Type | Description
--- | ---
System.UInt32 |